Is my Delvfire compatible with my device?

To setup your Delvfire, sync your stats to the app and to take full advantage of its features your phone/tablet must meet following minimum requirements:

APPLE

Devices:

  • iPhone 4s or above
  • iPad 3 or above
  • iPad Mini 1 or above
  • iPad Air 1 or above
  • iPad Pro 1 or above
  • iPod Touch 5 or above

Operating System:

  • iOS 7.1 or above 

ANDROID

Devices:

  • Android Phone/Tablet

Operating System:

  • Android 4.5 or above
  • Bluetooth 4.0 or above 

NOT SUPPORTED

  • Windows
  • MacOS
  • Amazon Kindle
  • Amazon Fire
  • Samsung J1
  • Samsung J2
  • Samsung J3
  • Samsung J5
  • Samsung J6
  • Samsung J7
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

0 comments

Please sign in to leave a comment.